Skip to main content
Topic: ElkArte 1.1.7 - Release announcement (Read 2329 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

ElkArte 1.1.7 - Release announcement

Today, we are pleased to release ElkArte 1.1.7. This is the 8th release in the ElkArte 1.1 line.

This release addresses many bugs and some minor security issues identified after the release of ElkArte 1.1.6. As this is a maintenance release, the majority of the updates are focused on bug fixes, PHP 7.4/8 compatibility and increased stability. A few enhancements to existing functionality was added, examples being one click un-subscribe in email notifications and the capability to search on subject when using a full text index.

This is patch does contain security fixes and we strongly encourage anyone running any previous version to update to the latest.

This release follows our semantic version (MAJOR.MINOR.PATCH), meaning that third-point (x.x.X) releases should contain backwards-compatible bug fixes and enhancements, so for the most part you will not find major new features in this release. Major new features will be reserved for second point versions (x.X.x).

Refer to the release notes on the forum for a complete list of updates. Release Notes

If you were running any of the previous beta 1.1.7 patches you must uninstall those and install this final package or great pain awaits you at some point  ;)
 

Patching procedure:
  • Go to the page https://github.com/elkarte/Elkarte/releases/tag/1.1.7
  • Download the file ElkArte_v1-1-7_patch.zip to your computer
  • Go to your forum: Admin > Main > Package Manager > Upload Package
  • Click the button to upload the package
  • Locate and select the file you downloaded at point 2
  • Click the "upload" button
  • Follow the instructions on the screen.

For any question you may have, feel free to ask on the support forum.

Of course you are encouraged to update to this release since it contains a lot of fixes and improvements, thank you for your continued support!
Be safe, Be kind, Happy Programing

Re: ElkArte 1.1.7 - Release announcement

Reply #1
two forums updated without any kind of problem 8)


Thanks Elkarte team for this huge release!
sorry for my bad english

Re: ElkArte 1.1.7 - Release announcement

Reply #2
The download link on the main page for the latest install isn't found btw. (If you didn't know)

Re: ElkArte 1.1.7 - Release announcement

Reply #3
Woot! Woot!   8)

This is awesome news indeed.
I use Mozilla Firefox.


Re: ElkArte 1.1.7 - Release announcement

Reply #5
Patch installed on my test forum and on the real one, non problems at all .

THANK YOU Spuds !!


Thanks for the massive job made, I really want to express my real gratitude for your incredible work.
 
 :)

Is there a way to make  a donation to the  Elkarte's project?

Re: ElkArte 1.1.7 - Release announcement

Reply #6
Thanks @Spuds !! (A bit late to the party,...)
Oh, FWIW let me add it to twitter!
Bugs creator.
Features destroyer.
Template killer.

Re: ElkArte 1.1.7 - Release announcement

Reply #7
Did something change with the optimizing database function? Before it worked flawlessly, and now no matter what, it says there is nothing to optimize even though major changes were made to database.

Also can we fix the token verification failed error? I think it has to do with the user coming from different IP's if the hosting is behind a DDOS protection service like cloudflare.

Re: ElkArte 1.1.7 - Release announcement

Reply #8
Also can we fix the token verification failed error? I think it has to do with the user coming from different IP's if the hosting is behind a DDOS protection service like cloudflare.

What’s the error? Also the error in the error log associated with it.

If you’re constantly changing your ip it’s hard to validate the user mind. Ideally you should have a fixed ip for the duration of the session.

Re: ElkArte 1.1.7 - Release announcement

Reply #9
If you are running InnoDB as your storage engine, then it will not "optimize" those tables.  

Doing optimize on an InnoDB table is usually not necessary (unlike MyISAM).  Maybe after you have done A LOT of insert/update/delete against the table IN A WAY that could result in fragmentation.  Perhaps if you are using a FULLTEXT search index on an InnoDB table, that may benefit from DROP INDEX, then ADD INDEX but optimize really does a ALTER TABLE ... FORCE on InnoDB whichi is mostly a don't bother with our tables.

You are much better off tinkering with your conf file if you want to optimize InnoDB.

I recall some discussion on what the real IP is when using cloudflare or some others, Its in one of the x-headers.  Do a site search on cloudflare and see if those solutions will work for you.  But like @tino said, that IP should not change in session.
Be safe, Be kind, Happy Programing

Re: ElkArte 1.1.7 - Release announcement

Reply #10
I wanted to like the last post (because it's about time we stopped encouraging 'optimize table' as a thing that people should 'just do') - but I couldn't like any post in this topic. Not sure if that's by intent (since there were likes in this topic before, but I can't like anything here now. Other topics seem to be fine.)

Re: ElkArte 1.1.7 - Release announcement

Reply #11
That like issue is a bit strange, you should be able to see and like the posts in this topic.   I'll add it to the list of things to look into :D 
Be safe, Be kind, Happy Programing

 

Re: ElkArte 1.1.7 - Release announcement

Reply #12
Only admin and moderators can it seems. Is it a permission thing?

Re: ElkArte 1.1.7 - Release announcement

Reply #13
Hello,
I did the update to the 1.1.7 and now you can't write new posts when you click on "Reply" or change one when you click on "Modify". Also quoting no longer works or creating a new topic. With all only this same error message appears:
Call to undefined function getMessageIcons()

File: /www/htdocs/…/…/sources/controllers/Post.controller.php
Line: 567

Line 567 looks after the update but the same as the one from before the update.
What can be the error and how can I fix it?
ElkArte version: 1.1.8 / Theme: BeSocial / PHP 8.0